diff --git a/build_pdata.sh b/build_pdata.sh
index 7fc9972777b72e13e8125381a99b15575623e8ac..96a3eafea765dc1c5304b7bd44287e8fe1519664 100644
--- a/build_pdata.sh
+++ b/build_pdata.sh
@@ -8,7 +8,45 @@ echo "Machine: $2"
 mkdir src/config
 
 git submodule init
+
+# pull from all the projects
+cd openfpm_data
+git pull origin develop
+if [ $? -ne 0 ]; then
+  echo -e "Configure\033[91;5;1m FAILED \033[0m"
+  exit 1
+fi
+cd ..
+
+cd openfpm_devices
+git pull origin master
+if [ $? -ne 0 ]; then
+  echo -e "Configure\033[91;5;1m FAILED \033[0m"
+  exit 1
+fi
+cd ..
+
+cd openfpm_vcluster
+git pull origin master
+if [ $? -ne 0 ]; then
+  echo -e "Configure\033[91;5;1m FAILED \033[0m"
+  exit 1
+fi
+cd ..
+
+cd openfpm_io
+git pull origin master
+if [ $? -ne 0 ]; then
+  echo -e "Configure\033[91;5;1m FAILED \033[0m"
+  exit 1
+fi
+cd ..
+
 git submodule update
+if [ $? -ne 0 ]; then
+  echo -e "Configure\033[91;5;1m FAILED \033[0m"
+  exit 1
+fi
 
 cd openfpm_data
 git checkout develop
diff --git a/install b/install
index 1bcac06f7819d73fd1674cf271566e97135afb2e..5a559462426de0f4d2e547af0b1270dc63ca94a9 100755
--- a/install
+++ b/install
@@ -49,38 +49,6 @@ if [ $? -ne 0 ]; then
   echo -e "Configure\033[91;5;1m FAILED \033[0m"
   exit 1
 fi
-# pull from all the projects
-cd openfpm_data
-git pull origin develop
-if [ $? -ne 0 ]; then
-  echo -e "Configure\033[91;5;1m FAILED \033[0m"
-  exit 1
-fi
-cd ..
-
-cd openfpm_devices
-git pull origin master
-if [ $? -ne 0 ]; then
-  echo -e "Configure\033[91;5;1m FAILED \033[0m"
-  exit 1
-fi
-cd ..
-
-cd openfpm_vcluster
-git pull origin master
-if [ $? -ne 0 ]; then
-  echo -e "Configure\033[91;5;1m FAILED \033[0m"
-  exit 1
-fi
-cd ..
-
-cd openfpm_io
-git pull origin master
-if [ $? -ne 0 ]; then
-  echo -e "Configure\033[91;5;1m FAILED \033[0m"
-  exit 1
-fi
-cd ..
 
 git submodule update
 if [ $? -ne 0 ]; then